/**
 * Created by robin on 11/1/15.
 */

angular.module('app')
    .controller('SideBarController', ['$scope', '$state', 'DataShareBusiness', 'GroupsBusiness',
        function($scope, $state, DataShareBusiness, GroupsBusiness) {

            $scope.groups = [];

            $scope.setCurrentGroups = function(groups)
            {
                if (groups != null) {
                    $scope.groups = groups;
                }
            };

            var promiseLoadGroups = {
                id: "promiseLoadGroups",
                loaderGroups: ["sidebar", "toolbar"]
            };
            GroupsBusiness.loadAll(promiseLoadGroups).then(function(data)
            {
                $scope.groups = data;
            });
        }]);
