(function()
{
    angular.module('appSdk')
        .factory('GroupsBusiness', ['GroupsDataAccess', '$q', 'DataShareBusiness', function (GroupsDataAccess, $q, DataShareBusiness) {

            var Business = {};

            Business.getAll = GroupsDataAccess.getAll;

            Business.loadAll = function(promise)
            {
                var defer = $q.defer();

                Business.getAll(promise).then(function(data)
                {
                    DataShareBusiness.Groups = data;
                    defer.resolve(data);
                }, defer.reject);

                return defer.promise;
            };

            return Business;
        }]);
})();